Bug 27994 - Replace obsolete title-string sorting: Reports templates
Summary: Replace obsolete title-string sorting: Reports templates
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27934
  Show dependency treegraph
 
Reported: 2021-03-19 11:11 UTC by Owen Leonard
Modified: 2021-04-19 09:30 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27994: Replace obsolete title-string sorting: Reports templates (10.80 KB, patch)
2021-03-19 11:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27994: Replace obsolete title-string sorting: Reports templates (10.83 KB, patch)
2021-03-23 15:44 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 27994: (follow-up) Address missing instance (1.15 KB, patch)
2021-03-25 12:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27994: Replace obsolete title-string sorting: Reports templates (10.91 KB, patch)
2021-03-27 16:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27994: (follow-up) Address missing instance (1.20 KB, patch)
2021-03-27 16:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-19 11:11:12 UTC
This patch will modify the following templates to replace the old "title-string" DataTables sorting method with the built-in method using "data-order" attributes.

  intranet-tmpl/prog/en/modules/reports/guided_reports_start.tt
  intranet-tmpl/prog/en/modules/reports/itemslost.tt
  intranet-tmpl/prog/en/modules/reports/serials_stats.tt
Comment 1 Owen Leonard 2021-03-19 11:51:19 UTC
Created attachment 118514 [details] [review]
Bug 27994: Replace obsolete title-string sorting: Reports templates

This patch modifies several reports templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Guided reports -> Saved SQL reports
- Guided reports -> Saved SQL reports -> New SQL from Mana -> Search
  results.
- Reports -> Items lost
- Reports -> Serials
Comment 2 Amit Gupta 2021-03-23 15:44:45 UTC
Created attachment 118673 [details] [review]
Bug 27994: Replace obsolete title-string sorting: Reports templates

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Guided reports -> Saved SQL reports
- Guided reports -> Saved SQL reports -> New SQL from Mana -> Search
  results.
- Reports -> Items lost
- Reports -> Serials
Comment 3 Owen Leonard 2021-03-25 12:22:02 UTC
Created attachment 118785 [details] [review]
Bug 27994: (follow-up)  Address missing instance
Comment 4 Katrin Fischer 2021-03-27 16:07:58 UTC
Created attachment 118909 [details] [review]
Bug 27994: Replace obsolete title-string sorting: Reports templates

This patch modifies several reports templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Guided reports -> Saved SQL reports
- Guided reports -> Saved SQL reports -> New SQL from Mana -> Search
  results.
- Reports -> Items lost
- Reports -> Serials

Signed-off-by: Amit Gupta <amitddng135@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-03-27 16:08:02 UTC
Created attachment 118910 [details] [review]
Bug 27994: (follow-up) Address missing instance

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-04-06 13:58:51 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-04-19 09:30:16 UTC
Enhancement not pushed to 20.11.x